View Issue Details

IDProjectCategoryView StatusLast Update
0002583Slicer4Core: Building (CMake, Superbuild)public2017-09-26 10:34
ReporterfinetjulAssigned Tomsmolens 
PriorityhighSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
PlatformOSWindowsOS VersionWindows 7
Product VersionSlicer 4.1.1 
Target VersionbacklogFixed in VersionSlicer 4.4.0 
Summary0002583: Unnecessary python wrapping and recompilation
Description

When I solely modify a cpp file in MRML (e.g. vtkMRMLNode.cxx), a lot of compilation happens in Visual Studio.
This greatly increase the time of development.

Steps To Reproduce

Edit vtkMRMLNode.cxx file and run "Build Solution (F7)"

Additional Information

Here is the console output of the build:

1>------ Skipped Build: Project: RUN_TESTS, Configuration: Debug x64 ------
1>Project not selected to build for this solution configuration
2>------ Build started: Project: MRMLCore, Configuration: Debug x64 ------
2>Compiling...
2>vtkMRMLNode.cxx
3>------ Build started: Project: copytcl, Configuration: Debug x64 ------
4>------ Build started: Project: copytasks, Configuration: Debug x64 ------
5>------ Build started: Project: copytesting, Configuration: Debug x64 ------
3>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\EMSegment\copytcl.dir\Debug\BuildLog.htm"
4>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\EMSegment\copytasks.dir\Debug\BuildLog.htm"
4>copytasks - 0 error(s), 0 warning(s)
3>copytcl - 0 error(s), 0 warning(s)
5>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\EMSegment\copytesting.dir\Debug\BuildLog.htm"
5>copytesting - 0 error(s), 0 warning(s)
2>Linking...
2>Embedding manifest...
2>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Libs\MRML\Core\MRMLCore.dir\Debug\BuildLog.htm"
2>MRMLCore - 0 error(s), 0 warning(s)
6>------ Skipped Build: Project: CopyApplicationSelfTestsPythonFiles, Configuration: Debug x64 ------
6>Project not selected to build for this solution configuration
7>------ Skipped Build: Project: CopyChangeTrackerPythonFiles, Configuration: Debug x64 ------
7>Project not selected to build for this solution configuration
8>------ Skipped Build: Project: CopyChangeTrackerWizardPythonFiles, Configuration: Debug x64 ------
8>Project not selected to build for this solution configuration
9>------ Skipped Build: Project: CopyDICOM2FullBrainTractographyLibPythonFiles, Configuration: Debug x64 ------
9>Project not selected to build for this solution configuration
10>------ Build started: Project: SlicerRemoveLauncherSettings, Configuration: Debug x64 ------
10>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Applications\SlicerApp\SlicerRemoveLauncherSettings.dir\Debug\BuildLog.htm"
10>SlicerRemoveLauncherSettings - 0 error(s), 0 warning(s)
11>------ Build started: Project: qMRMLWidgetsPythonQt, Configuration: Debug x64 ------
11>PythonQt Light Wrapping - Generating org_slicer_libs_qMRMLWidgets_init.cpp
12>------ Build started: Project: qSlicerAnnotationsModuleWidgetsPythonQt, Configuration: Debug x64 ------
13>------ Build started: Project: qSlicerBaseQTAppPythonQt, Configuration: Debug x64 ------
12>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerAnnotationsModuleWidgets_init.cpp
13>PythonQt Light Wrapping - Generating org_slicer_base_qSlicerBaseQTApp_init.cpp
13>PythonQt Light Wrapping - Moc'ing org_slicer_base_qSlicerBaseQTApp wrapper headers
12>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerAnnotationsModuleWidgets wrapper headers
14>------ Build started: Project: qSlicerBaseQTCLIPythonQt, Configuration: Debug x64 ------
15>------ Build started: Project: SlicerConfigureLauncher, Configuration: Debug x64 ------
15>Configuring application launcher: Slicer [SlicerSplashScreen.png]
14>PythonQt Light Wrapping - Generating org_slicer_base_qSlicerBaseQTCLI_init.cpp
15>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Applications\SlicerApp\SlicerConfigureLauncher.dir\Debug\BuildLog.htm"
15>SlicerConfigureLauncher - 0 error(s), 0 warning(s)
16>------ Build started: Project: qSlicerBaseQTCorePythonQt, Configuration: Debug x64 ------
16>PythonQt Light Wrapping - Generating org_slicer_base_qSlicerBaseQTCore_init.cpp
17>------ Build started: Project: qSlicerBaseQTGUIPythonQt, Configuration: Debug x64 ------
17>PythonQt Light Wrapping - Generating org_slicer_base_qSlicerBaseQTGUI_init.cpp
14>PythonQt Light Wrapping - Moc'ing org_slicer_base_qSlicerBaseQTCLI wrapper headers
18>------ Build started: Project: qSlicerDataModuleWidgetsPythonQt, Configuration: Debug x64 ------
18>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerDataModuleWidgets_init.cpp
19>------ Build started: Project: qSlicerEMSegmentModuleWidgetsPythonQt, Configuration: Debug x64 ------
19>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerEMSegmentModuleWidgets_init.cpp
18>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerDataModuleWidgets wrapper headers
16>PythonQt Light Wrapping - Moc'ing org_slicer_base_qSlicerBaseQTCore wrapper headers
19>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerEMSegmentModuleWidgets wrapper headers
17>PythonQt Light Wrapping - Moc'ing org_slicer_base_qSlicerBaseQTGUI wrapper headers
13>Compiling...
12>Compiling...
13>moc_org_slicer_base_qSlicerBaseQTApp_all.cpp
12>moc_org_slicer_module_qSlicerAnnotationsModuleWidgets_all.cpp
18>Compiling...
18>moc_org_slicer_module_qSlicerDataModuleWidgets_all.cpp
14>Compiling...
14>moc_org_slicer_base_qSlicerBaseQTCLI_all.cpp
13>org_slicer_base_qSlicerBaseQTApp_module_init.cpp
11>PythonQt Light Wrapping - Moc'ing org_slicer_libs_qMRMLWidgets wrapper headers
12>org_slicer_module_qSlicerAnnotationsModuleWidgets_module_init.cpp
19>Compiling...
19>moc_org_slicer_module_qSlicerEMSegmentModuleWidgets_all.cpp
18>org_slicer_module_qSlicerDataModuleWidgets_module_init.cpp
16>Compiling...
16>moc_org_slicer_base_qSlicerBaseQTCore_all.cpp
13>org_slicer_base_qSlicerBaseQTApp_init.cpp
14>org_slicer_base_qSlicerBaseQTCLI_module_init.cpp
12>org_slicer_module_qSlicerAnnotationsModuleWidgets_init.cpp
18>org_slicer_module_qSlicerDataModuleWidgets_init.cpp
19>org_slicer_module_qSlicerEMSegmentModuleWidgets_module_init.cpp
14>org_slicer_base_qSlicerBaseQTCLI_init.cpp
13>Generating Code...
13>Linking...
13>Embedding manifest...
13>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Base\QTApp\qSlicerBaseQTAppPythonQt.dir\Debug\BuildLog.htm"
13>qSlicerBaseQTAppPythonQt - 0 error(s), 0 warning(s)
20>------ Build started: Project: qSlicerModelsModuleWidgetsPythonQt, Configuration: Debug x64 ------
20>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerModelsModuleWidgets_init.cpp
20>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerModelsModuleWidgets wrapper headers
12>Generating Code...
12>Linking...
16>org_slicer_base_qSlicerBaseQTCore_module_init.cpp
12>Embedding manifest...
12>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\Annotations\Widgets\qSlicerAnnotationsModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
12>qSlicerAnnotationsModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
19>org_slicer_module_qSlicerEMSegmentModuleWidgets_init.cpp
21>------ Build started: Project: qSlicerTractographyDisplayModuleWidgetsPythonQt, Configuration: Debug x64 ------
21>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerTractographyDisplayModuleWidgets_init.cpp
18>Generating Code...
18>Linking...
18>Embedding manifest...
18>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\Data\Widgets\qSlicerDataModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
18>qSlicerDataModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
22>------ Build started: Project: qSlicerVolumeRenderingModuleWidgetsPythonQt, Configuration: Debug x64 ------
22>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerVolumeRenderingModuleWidgets_init.cpp
14>Generating Code...
14>Linking...
21>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerTractographyDisplayModuleWidgets wrapper headers
14>Embedding manifest...
14>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Base\QTCLI\qSlicerBaseQTCLIPythonQt.dir\Debug\BuildLog.htm"
14>qSlicerBaseQTCLIPythonQt - 0 error(s), 0 warning(s)
16>org_slicer_base_qSlicerBaseQTCore_init.cpp
23>------ Build started: Project: qSlicerVolumesModuleWidgetsPythonQt, Configuration: Debug x64 ------
23>PythonQt Light Wrapping - Generating org_slicer_module_qSlicerVolumesModuleWidgets_init.cpp
22>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerVolumeRenderingModuleWidgets wrapper headers
23>PythonQt Light Wrapping - Moc'ing org_slicer_module_qSlicerVolumesModuleWidgets wrapper headers
19>Generating Code...
19>Linking...
19>Embedding manifest...
19>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\EMSegment\Qt\Widgets\qSlicerEMSegmentModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
19>qSlicerEMSegmentModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
24>------ Skipped Build: Project: CopyDICOM2FullBrainTractographyPythonFiles, Configuration: Debug x64 ------
24>Project not selected to build for this solution configuration
25>------ Skipped Build: Project: CopyDICOMLibPythonFiles, Configuration: Debug x64 ------
25>Project not selected to build for this solution configuration
26>------ Skipped Build: Project: CopyEditorLibPythonFiles, Configuration: Debug x64 ------
26>Project not selected to build for this solution configuration
27>------ Skipped Build: Project: CopyEditorLibTestsPythonFiles, Configuration: Debug x64 ------
27>Project not selected to build for this solution configuration
28>------ Skipped Build: Project: CopyMultiVolumeImporterPythonFiles, Configuration: Debug x64 ------
28>Project not selected to build for this solution configuration
29>------ Skipped Build: Project: CopySlicerBasePythonFiles, Configuration: Debug x64 ------
29>Project not selected to build for this solution configuration
30>------ Skipped Build: Project: CopySlicerDICOMPluginModulesPythonFiles, Configuration: Debug x64 ------
30>Project not selected to build for this solution configuration
31>------ Skipped Build: Project: CopySlicerQTScriptedModulesPythonFiles, Configuration: Debug x64 ------
31>Project not selected to build for this solution configuration
32>------ Skipped Build: Project: CopyVolumeRenderingReplacementsPythonFiles, Configuration: Debug x64 ------
32>Project not selected to build for this solution configuration
33>------ Skipped Build: Project: CopyWebGLExportPythonFiles, Configuration: Debug x64 ------
33>Project not selected to build for this solution configuration
34>------ Skipped Build: Project: CopymrmlDisplayableManagerPythonFiles, Configuration: Debug x64 ------
34>Project not selected to build for this solution configuration
35>------ Skipped Build: Project: CopyqSlicerEMSegmentModuleWidgetPythonFiles, Configuration: Debug x64 ------
35>Project not selected to build for this solution configuration
36>------ Skipped Build: Project: CopyqSlicerMultiVolumeExplorerModuleWidgetPythonFiles, Configuration: Debug x64 ------
36>Project not selected to build for this solution configuration
37>------ Skipped Build: Project: CopyvtkSlicerAnnotationsModuleLogicPythonFiles, Configuration: Debug x64 ------
37>Project not selected to build for this solution configuration
38>------ Skipped Build: Project: CopyvtkSlicerAnnotationsModuleMRMLPythonFiles, Configuration: Debug x64 ------
38>Project not selected to build for this solution configuration
39>------ Skipped Build: Project: CopyvtkSlicerAtlasCreatorModuleLogicPythonFiles, Configuration: Debug x64 ------
39>Project not selected to build for this solution configuration
40>------ Skipped Build: Project: CopyvtkSlicerCamerasModuleLogicPythonFiles, Configuration: Debug x64 ------
40>Project not selected to build for this solution configuration
41>------ Skipped Build: Project: CopyvtkSlicerColorsModuleLogicPythonFiles, Configuration: Debug x64 ------
41>Project not selected to build for this solution configuration
42>------ Skipped Build: Project: CopyvtkSlicerCropVolumeModuleLogicPythonFiles, Configuration: Debug x64 ------
42>Project not selected to build for this solution configuration
43>------ Skipped Build: Project: CopyvtkSlicerCropVolumeModuleMRMLPythonFiles, Configuration: Debug x64 ------
43>Project not selected to build for this solution configuration
44>------ Skipped Build: Project: CopyvtkSlicerDataModuleLogicPythonFiles, Configuration: Debug x64 ------
44>Project not selected to build for this solution configuration
45>------ Skipped Build: Project: CopyvtkSlicerDoubleArraysModuleLogicPythonFiles, Configuration: Debug x64 ------
45>Project not selected to build for this solution configuration
46>------ Skipped Build: Project: CopyvtkSlicerEMSegmentModuleLogicPythonFiles, Configuration: Debug x64 ------
46>Project not selected to build for this solution configuration
47>------ Skipped Build: Project: CopyvtkSlicerFetchMIModuleLogicPythonFiles, Configuration: Debug x64 ------
47>Project not selected to build for this solution configuration
48>------ Skipped Build: Project: CopyvtkSlicerModelMirrorModuleLogicPythonFiles, Configuration: Debug x64 ------
48>Project not selected to build for this solution configuration
49>------ Skipped Build: Project: CopyvtkSlicerModelTransformModuleLogicPythonFiles, Configuration: Debug x64 ------
49>Project not selected to build for this solution configuration
50>------ Skipped Build: Project: CopyvtkSlicerModelsModuleLogicPythonFiles, Configuration: Debug x64 ------
50>Project not selected to build for this solution configuration
51>------ Skipped Build: Project: CopyvtkSlicerMultiVolumeExplorerModuleLogicPythonFiles, Configuration: Debug x64 ------
51>Project not selected to build for this solution configuration
52>------ Skipped Build: Project: CopyvtkSlicerMultiVolumeExplorerModuleMRMLPythonFiles, Configuration: Debug x64 ------
52>Project not selected to build for this solution configuration
53>------ Skipped Build: Project: CopyvtkSlicerOpenIGTLinkIFModuleLogicPythonFiles, Configuration: Debug x64 ------
53>Project not selected to build for this solution configuration
54>------ Skipped Build: Project: CopyvtkSlicerOpenIGTLinkIFModuleMRMLPythonFiles, Configuration: Debug x64 ------
54>Project not selected to build for this solution configuration
55>------ Skipped Build: Project: CopyvtkSlicerReformatModuleLogicPythonFiles, Configuration: Debug x64 ------
55>Project not selected to build for this solution configuration
56>------ Skipped Build: Project: CopyvtkSlicerSceneViewsModuleLogicPythonFiles, Configuration: Debug x64 ------
56>Project not selected to build for this solution configuration
57>------ Skipped Build: Project: CopyvtkSlicerTractographyDisplayModuleLogicPythonFiles, Configuration: Debug x64 ------
57>Project not selected to build for this solution configuration
58>------ Skipped Build: Project: CopyvtkSlicerTractographyDisplayModuleMRMLPythonFiles, Configuration: Debug x64 ------
58>Project not selected to build for this solution configuration
59>------ Skipped Build: Project: CopyvtkSlicerTractographyFiducialSeedingModuleLogicPythonFiles, Configuration: Debug x64 ------
59>Project not selected to build for this solution configuration
60>------ Skipped Build: Project: CopyvtkSlicerVolumeRenderingModuleLogicPythonFiles, Configuration: Debug x64 ------
60>Project not selected to build for this solution configuration
61>------ Skipped Build: Project: CopyvtkSlicerVolumeRenderingModuleMRMLDisplayableManagerPythonFiles, Configuration: Debug x64 ------
61>Project not selected to build for this solution configuration
62>------ Skipped Build: Project: CopyvtkSlicerVolumeRenderingModuleMRMLPythonFiles, Configuration: Debug x64 ------
62>Project not selected to build for this solution configuration
63>------ Skipped Build: Project: CopyvtkSlicerVolumesModuleLogicPythonFiles, Configuration: Debug x64 ------
63>Project not selected to build for this solution configuration
64>------ Skipped Build: Project: Experimental, Configuration: Debug x64 ------
64>Project not selected to build for this solution configuration
17>Compiling...
17>moc_org_slicer_base_qSlicerBaseQTGUI_all.cpp
20>Compiling...
20>moc_org_slicer_module_qSlicerModelsModuleWidgets_all.cpp
16>Generating Code...
16>Linking...
16>Embedding manifest...
16>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Base\QTCore\qSlicerBaseQTCorePythonQt.dir\Debug\BuildLog.htm"
16>qSlicerBaseQTCorePythonQt - 0 error(s), 0 warning(s)
20>org_slicer_module_qSlicerModelsModuleWidgets_module_init.cpp
17>org_slicer_base_qSlicerBaseQTGUI_module_init.cpp
20>org_slicer_module_qSlicerModelsModuleWidgets_init.cpp
23>Compiling...
23>moc_org_slicer_module_qSlicerVolumesModuleWidgets_all.cpp
11>Compiling...
11>moc_org_slicer_libs_qMRMLWidgets_all.cpp
17>org_slicer_base_qSlicerBaseQTGUI_init.cpp
21>Compiling...
21>moc_org_slicer_module_qSlicerTractographyDisplayModuleWidgets_all.cpp
22>Compiling...
22>moc_org_slicer_module_qSlicerVolumeRenderingModuleWidgets_all.cpp
20>Generating Code...
20>Linking...
20>Embedding manifest...
20>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\Models\Widgets\qSlicerModelsModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
20>qSlicerModelsModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
23>org_slicer_module_qSlicerVolumesModuleWidgets_module_init.cpp
21>org_slicer_module_qSlicerTractographyDisplayModuleWidgets_module_init.cpp
23>org_slicer_module_qSlicerVolumesModuleWidgets_init.cpp
22>org_slicer_module_qSlicerVolumeRenderingModuleWidgets_module_init.cpp
17>Generating Code...
17>Linking...
17>Embedding manifest...
11>org_slicer_libs_qMRMLWidgets_module_init.cpp
17>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Base\QTGUI\qSlicerBaseQTGUIPythonQt.dir\Debug\BuildLog.htm"
17>qSlicerBaseQTGUIPythonQt - 0 error(s), 0 warning(s)
21>org_slicer_module_qSlicerTractographyDisplayModuleWidgets_init.cpp
22>org_slicer_module_qSlicerVolumeRenderingModuleWidgets_init.cpp
23>Generating Code...
11>org_slicer_libs_qMRMLWidgets_init.cpp
23>Linking...
23>Embedding manifest...
23>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\Volumes\Widgets\qSlicerVolumesModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
23>qSlicerVolumesModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
22>Generating Code...
21>Generating Code...
22>Linking...
21>Linking...
22>Embedding manifest...
21>Embedding manifest...
22>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\VolumeRendering\Widgets\qSlicerVolumeRenderingModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
22>qSlicerVolumeRenderingModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
21>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Modules\Loadable\TractographyDisplay\Widgets\qSlicerTractographyDisplayModuleWidgetsPythonQt.dir\Debug\BuildLog.htm"
21>qSlicerTractographyDisplayModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
11>Generating Code...
11>Linking...
11>Embedding manifest...
11>Build log was saved at "file://e:\work\Slicer\Slicer4-Debug-64\Slicer-build\Libs\MRML\Widgets\qMRMLWidgetsPythonQt.dir\Debug\BuildLog.htm"
11>qMRMLWidgetsPythonQt - 0 error(s), 0 warning(s)
65>------ Skipped Build: Project: INSTALL, Configuration: Debug x64 ------
65>Project not selected to build for this solution configuration
66>------ Skipped Build: Project: PACKAGE, Configuration: Debug x64 ------
66>Project not selected to build for this solution configuration
========== Build: 18 succeeded, 0 failed, 428 up-to-date, 48 skipped ==========

TagsNo tags attached.

Activities

pieper

pieper

2013-04-24 14:20

administrator   ~0008485

An mac, even without changing any source files at all there is a huge rebuild every time. It appears that python is considered 'modified' and all things depending on it are rebuilt.

For example the following indicates that 2209 files get rebuilt for no reason.

$ make -j10 ; (make 2>&1 | tee /tmp/buildAfterBuild.txt)
$ grep .cxx.o /tmp/buildAfterBuild.txt | wc

pieper

pieper

2013-07-04 12:23

administrator   ~0008841

Will this one get fixed for 4.3? It's a pretty big annoyance for developers :\

lassoan

lassoan

2014-03-13 20:53

developer   ~0011436

The build system still has this problem (Win7-64, VS2008). It's particularly frustrating and time-consuming when I test and optimize the code, so probably I just do less testing as a result. Please fix this!

jcfr

jcfr

2014-04-03 01:35

administrator   ~0011523

Fixed in r23037
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=23037

lassoan

lassoan

2014-04-03 07:24

developer   ~0011530

Thanks for working on this. As a result, some launcher related rebuilds are resolved, but the build takes still about a minute even if nothing has changed, mainly due to these projects:

qSlicerBaseQTCLIPythonQt
qSlicerBaseQTCorePythonQt
qSlicerBaseQTGUIPythonQt
qSlicerAnnotationsModuleWidgetsPythonQt
qMRMLWidgetsPythonQt
qSlicerModelsModuleWidgetsPythonQt
qSlicerTractographyDisplayModuleWidgetsPythonQt
qSlicerTransformsModuleWidgetsPythonQt
qSlicerVolumesModuleWidgetsPythonQt

Full build log:

1>------ Skipped Build: Project: RUN_TESTS, Configuration: Release x64 ------
1>Project not selected to build for this solution configuration
2>------ Build started: Project: copytesting, Configuration: Release x64 ------
2>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytesting.dir\Release\BuildLog.htm"
2>copytesting - 0 error(s), 0 warning(s)
3>------ Build started: Project: qSlicerBaseQTCLIPythonQt, Configuration: Release x64 ------
4>------ Build started: Project: qSlicerBaseQTCorePythonQt, Configuration: Release x64 ------
3>PythonQt Light Wrapping - Generating osb_qSlicerBaseQTCLI_init.cpp
4>PythonQt Light Wrapping - Generating osb_qSlicerBaseQTCore_init.cpp
5>------ Build started: Project: qSlicerBaseQTGUIPythonQt, Configuration: Release x64 ------
6>------ Build started: Project: qSlicerAnnotationsModuleWidgetsPythonQt, Configuration: Release x64 ------
5>PythonQt Light Wrapping - Generating osb_qSlicerBaseQTGUI_init.cpp
6>PythonQt Light Wrapping - Generating osm_qSlicerAnnotationsModuleWidgets_init.cpp
7>------ Build started: Project: qMRMLWidgetsPythonQt, Configuration: Release x64 ------
7>PythonQt Light Wrapping - Generating org_slicer_libs_qMRMLWidgets_init.cpp
8>------ Build started: Project: copytcl, Configuration: Release x64 ------
9>------ Build started: Project: copytasks, Configuration: Release x64 ------
9>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytasks.dir\Release\BuildLog.htm"
8>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytcl.dir\Release\BuildLog.htm"
9>copytasks - 0 error(s), 0 warning(s)
8>copytcl - 0 error(s), 0 warning(s)
10>------ Build started: Project: SlicerUpdateLauncherIcon, Configuration: Release x64 ------
10>Resource ico updated.
10>Build log was saved at "file://f:\S4R\Slicer-build\Applications\SlicerApp\SlicerUpdateLauncherIcon.dir\Release\BuildLog.htm"
10>SlicerUpdateLauncherIcon - 0 error(s), 0 warning(s)
11>------ Build started: Project: qSlicerModelsModuleWidgetsPythonQt, Configuration: Release x64 ------
11>PythonQt Light Wrapping - Generating osm_qSlicerModelsModuleWidgets_init.cpp
12>------ Build started: Project: qSlicerTractographyDisplayModuleWidgetsPythonQt, Configuration: Release x64 ------
3>PythonQt Light Wrapping - Moc'ing osb_qSlicerBaseQTCLI wrapper headers
12>PythonQt Light Wrapping - Generating osm_qSlicerTractographyDisplayModuleWidgets_init.cpp
13>------ Build started: Project: qSlicerTransformsModuleWidgetsPythonQt, Configuration: Release x64 ------
13>PythonQt Light Wrapping - Generating osm_qSlicerTransformsModuleWidgets_init.cpp
3>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Base/QTCLI/generated_cpp/osb_qSlicerBaseQTCLI//osb_qSlicerBaseQTCLI0_moc_opts.txt -o F:/S4R/Slicer-build/Base/QTCLI/generated_cpp/osb_qSlicerBaseQTCLI//moc_osb_qSlicerBaseQTCLI0.h.cpp F:/S4R/Slicer-build/Base/QTCLI/generated_cpp/osb_qSlicerBaseQTCLI//osb_qSlicerBaseQTCLI0.h
11>PythonQt Light Wrapping - Moc'ing osm_qSlicerModelsModuleWidgets wrapper headers
13>PythonQt Light Wrapping - Moc'ing osm_qSlicerTransformsModuleWidgets wrapper headers
11>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Modules/Loadable/Models/Widgets/generated_cpp/osm_qSlicerModelsModuleWidgets//osm_qSlicerModelsModuleWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Modules/Loadable/Models/Widgets/generated_cpp/osm_qSlicerModelsModuleWidgets//moc_osm_qSlicerModelsModuleWidgets0.h.cpp F:/S4R/Slicer-build/Modules/Loadable/Models/Widgets/generated_cpp/osm_qSlicerModelsModuleWidgets//osm_qSlicerModelsModuleWidgets0.h
13>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Modules/Loadable/Transforms/Widgets/generated_cpp/osm_qSlicerTransformsModuleWidgets//osm_qSlicerTransformsModuleWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Modules/Loadable/Transforms/Widgets/generated_cpp/osm_qSlicerTransformsModuleWidgets//moc_osm_qSlicerTransformsModuleWidgets0.h.cpp F:/S4R/Slicer-build/Modules/Loadable/Transforms/Widgets/generated_cpp/osm_qSlicerTransformsModuleWidgets//osm_qSlicerTransformsModuleWidgets0.h
3>Compiling...
3>moc_osb_qSlicerBaseQTCLI_all.cpp
11>Compiling...
11>moc_osm_qSlicerModelsModuleWidgets_all.cpp
13>Compiling...
12>PythonQt Light Wrapping - Moc'ing osm_qSlicerTractographyDisplayModuleWidgets wrapper headers
13>moc_osm_qSlicerTransformsModuleWidgets_all.cpp
12>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Modules/Loadable/TractographyDisplay/Widgets/generated_cpp/osm_qSlicerTractographyDisplayModuleWidgets//osm_qSlicerTractographyDisplayModuleWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Modules/Loadable/TractographyDisplay/Widgets/generated_cpp/osm_qSlicerTractographyDisplayModuleWidgets//moc_osm_qSlicerTractographyDisplayModuleWidgets0.h.cpp F:/S4R/Slicer-build/Modules/Loadable/TractographyDisplay/Widgets/generated_cpp/osm_qSlicerTractographyDisplayModuleWidgets//osm_qSlicerTractographyDisplayModuleWidgets0.h
12>Compiling...
12>moc_osm_qSlicerTractographyDisplayModuleWidgets_all.cpp
5>PythonQt Light Wrapping - Moc'ing osb_qSlicerBaseQTGUI wrapper headers
6>PythonQt Light Wrapping - Moc'ing osm_qSlicerAnnotationsModuleWidgets wrapper headers
5>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Base/QTGUI/generated_cpp/osb_qSlicerBaseQTGUI//osb_qSlicerBaseQTGUI0_moc_opts.txt -o F:/S4R/Slicer-build/Base/QTGUI/generated_cpp/osb_qSlicerBaseQTGUI//moc_osb_qSlicerBaseQTGUI0.h.cpp F:/S4R/Slicer-build/Base/QTGUI/generated_cpp/osb_qSlicerBaseQTGUI//osb_qSlicerBaseQTGUI0.h
6>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Modules/Loadable/Annotations/Widgets/generated_cpp/osm_qSlicerAnnotationsModuleWidgets//osm_qSlicerAnnotationsModuleWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Modules/Loadable/Annotations/Widgets/generated_cpp/osm_qSlicerAnnotationsModuleWidgets//moc_osm_qSlicerAnnotationsModuleWidgets0.h.cpp F:/S4R/Slicer-build/Modules/Loadable/Annotations/Widgets/generated_cpp/osm_qSlicerAnnotationsModuleWidgets//osm_qSlicerAnnotationsModuleWidgets0.h
3>osb_qSlicerBaseQTCLI_module_init.cpp
11>osm_qSlicerModelsModuleWidgets_module_init.cpp
13>osm_qSlicerTransformsModuleWidgets_module_init.cpp
5>Compiling...
6>Compiling...
6>moc_osm_qSlicerAnnotationsModuleWidgets_all.cpp
5>moc_osb_qSlicerBaseQTGUI_all.cpp
12>osm_qSlicerTractographyDisplayModuleWidgets_module_init.cpp
3>osb_qSlicerBaseQTCLI_init.cpp
7>PythonQt Light Wrapping - Moc'ing org_slicer_libs_qMRMLWidgets wrapper headers
4>PythonQt Light Wrapping - Moc'ing osb_qSlicerBaseQTCore wrapper headers
4>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Base/QTCore/generated_cpp/osb_qSlicerBaseQTCore//osb_qSlicerBaseQTCore0_moc_opts.txt -o F:/S4R/Slicer-build/Base/QTCore/generated_cpp/osb_qSlicerBaseQTCore//moc_osb_qSlicerBaseQTCore0.h.cpp F:/S4R/Slicer-build/Base/QTCore/generated_cpp/osb_qSlicerBaseQTCore//osb_qSlicerBaseQTCore0.h
7>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Libs/MRML/Widgets/generated_cpp/org_slicer_libs_qMRMLWidgets//org_slicer_libs_qMRMLWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Libs/MRML/Widgets/generated_cpp/org_slicer_libs_qMRMLWidgets//moc_org_slicer_libs_qMRMLWidgets0.h.cpp F:/S4R/Slicer-build/Libs/MRML/Widgets/generated_cpp/org_slicer_libs_qMRMLWidgets//org_slicer_libs_qMRMLWidgets0.h
11>osm_qSlicerModelsModuleWidgets_init.cpp
13>osm_qSlicerTransformsModuleWidgets_init.cpp
5>osb_qSlicerBaseQTGUI_module_init.cpp
6>osm_qSlicerAnnotationsModuleWidgets_module_init.cpp
4>Compiling...
7>Compiling...
7>moc_org_slicer_libs_qMRMLWidgets_all.cpp
4>moc_osb_qSlicerBaseQTCore_all.cpp
12>osm_qSlicerTractographyDisplayModuleWidgets_init.cpp
3>Generating Code...
3>Linking...
3> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTCLIPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTCLIPythonQt.exp
3>Embedding manifest...
11>Generating Code...
11>Linking...
3>Build log was saved at "file://f:\S4R\Slicer-build\Base\QTCLI\qSlicerBaseQTCLIPythonQt.dir\Release\BuildLog.htm"
3>qSlicerBaseQTCLIPythonQt - 0 error(s), 0 warning(s)
11> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerModelsModuleWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerModelsModuleWidgetsPythonQt.exp
11>Embedding manifest...
11>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Loadable\Models\Widgets\qSlicerModelsModuleWidgetsPythonQt.dir\Release\BuildLog.htm"
11>qSlicerModelsModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
14>------ Build started: Project: qSlicerVolumesModuleWidgetsPythonQt, Configuration: Release x64 ------
14>PythonQt Light Wrapping - Generating osm_qSlicerVolumesModuleWidgets_init.cpp
15>------ Skipped Build: Project: doc, Configuration: Release x64 ------
15>Project not selected to build for this solution configuration
16>------ Skipped Build: Project: Experimental, Configuration: Release x64 ------
16>Project not selected to build for this solution configuration
14>PythonQt Light Wrapping - Moc'ing osm_qSlicerVolumesModuleWidgets wrapper headers
14>C:/Users/lasso/devel/qt-4.7.4-x64-rel/bin/moc.exe @F:/S4R/Slicer-build/Modules/Loadable/Volumes/Widgets/generated_cpp/osm_qSlicerVolumesModuleWidgets//osm_qSlicerVolumesModuleWidgets0_moc_opts.txt -o F:/S4R/Slicer-build/Modules/Loadable/Volumes/Widgets/generated_cpp/osm_qSlicerVolumesModuleWidgets//moc_osm_qSlicerVolumesModuleWidgets0.h.cpp F:/S4R/Slicer-build/Modules/Loadable/Volumes/Widgets/generated_cpp/osm_qSlicerVolumesModuleWidgets//osm_qSlicerVolumesModuleWidgets0.h
5>osb_qSlicerBaseQTGUI_init.cpp
13>Generating Code...
13>Linking...
13> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerTransformsModuleWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerTransformsModuleWidgetsPythonQt.exp
13>Embedding manifest...
13>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Loadable\Transforms\Widgets\qSlicerTransformsModuleWidgetsPythonQt.dir\Release\BuildLog.htm"
13>qSlicerTransformsModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
14>Compiling...
14>moc_osm_qSlicerVolumesModuleWidgets_all.cpp
4>osb_qSlicerBaseQTCore_module_init.cpp
6>osm_qSlicerAnnotationsModuleWidgets_init.cpp
12>Generating Code...
7>org_slicer_libs_qMRMLWidgets_module_init.cpp
12>Linking...
12> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerTractographyDisplayModuleWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerTractographyDisplayModuleWidgetsPythonQt.exp
12>Embedding manifest...
12>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Loadable\TractographyDisplay\Widgets\qSlicerTractographyDisplayModuleWidgetsPythonQt.dir\Release\BuildLog.htm"
12>qSlicerTractographyDisplayModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
4>osb_qSlicerBaseQTCore_init.cpp
5>Generating Code...
5>Linking...
5> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTGUIPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTGUIPythonQt.exp
5>Embedding manifest...
14>osm_qSlicerVolumesModuleWidgets_module_init.cpp
5>Build log was saved at "file://f:\S4R\Slicer-build\Base\QTGUI\qSlicerBaseQTGUIPythonQt.dir\Release\BuildLog.htm"
5>qSlicerBaseQTGUIPythonQt - 0 error(s), 0 warning(s)
6>Generating Code...
6>Linking...
6> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerAnnotationsModuleWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerAnnotationsModuleWidgetsPythonQt.exp
6>Embedding manifest...
6>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Loadable\Annotations\Widgets\qSlicerAnnotationsModuleWidgetsPythonQt.dir\Release\BuildLog.htm"
6>qSlicerAnnotationsModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
7>org_slicer_libs_qMRMLWidgets_init.cpp
4>Generating Code...
4>Linking...
4> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTCorePythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qSlicerBaseQTCorePythonQt.exp
4>Embedding manifest...
4>Build log was saved at "file://f:\S4R\Slicer-build\Base\QTCore\qSlicerBaseQTCorePythonQt.dir\Release\BuildLog.htm"
4>qSlicerBaseQTCorePythonQt - 0 error(s), 0 warning(s)
14>osm_qSlicerVolumesModuleWidgets_init.cpp
7>Generating Code...
7>Linking...
7> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qMRMLWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\Release\qMRMLWidgetsPythonQt.exp
7>Embedding manifest...
7>Build log was saved at "file://f:\S4R\Slicer-build\Libs\MRML\Widgets\qMRMLWidgetsPythonQt.dir\Release\BuildLog.htm"
7>qMRMLWidgetsPythonQt - 0 error(s), 0 warning(s)
14>Generating Code...
14>Linking...
14> Creating library F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerVolumesModuleWidgetsPythonQt.lib and object F:\S4R\Slicer-build\lib\Slicer-4.3\qt-loadable-modules\Release\qSlicerVolumesModuleWidgetsPythonQt.exp
14>Embedding manifest...
14>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Loadable\Volumes\Widgets\qSlicerVolumesModuleWidgetsPythonQt.dir\Release\BuildLog.htm"
14>qSlicerVolumesModuleWidgetsPythonQt - 0 error(s), 0 warning(s)
17>------ Skipped Build: Project: INSTALL, Configuration: Release x64 ------
17>Project not selected to build for this solution configuration
18>------ Skipped Build: Project: PACKAGE, Configuration: Release x64 ------
18>Project not selected to build for this solution configuration
========== Build: 13 succeeded, 0 failed, 467 up-to-date, 5 skipped ==========

lassoan

lassoan

2014-04-08 13:12

developer   ~0011556

On a clean build the unnecesary recompilations seems to have been fixed. There are only 4 projects rebuilt every time and it takes just a few seconds.

1>------ Skipped Build: Project: RUN_TESTS, Configuration: Release x64 ------
1>Project not selected to build for this solution configuration
2>------ Build started: Project: copytesting, Configuration: Release x64 ------
2>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytesting.dir\Release\BuildLog.htm"
2>copytesting - 0 error(s), 0 warning(s)
3>------ Build started: Project: copytasks, Configuration: Release x64 ------
4>------ Build started: Project: copytcl, Configuration: Release x64 ------
3>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytasks.dir\Release\BuildLog.htm"
4>Build log was saved at "file://f:\S4R\Slicer-build\Modules\Remote\EMSegment\copytcl.dir\Release\BuildLog.htm"
5>------ Build started: Project: SlicerUpdateLauncherIcon, Configuration: Release x64 ------
4>copytcl - 0 error(s), 0 warning(s)
3>copytasks - 0 error(s), 0 warning(s)
5>Resource ico updated.
6>------ Skipped Build: Project: doc, Configuration: Release x64 ------
6>Project not selected to build for this solution configuration
7>------ Skipped Build: Project: Experimental, Configuration: Release x64 ------
7>Project not selected to build for this solution configuration
5>Build log was saved at "file://f:\S4R\Slicer-build\Applications\SlicerApp\SlicerUpdateLauncherIcon.dir\Release\BuildLog.htm"
5>SlicerUpdateLauncherIcon - 0 error(s), 0 warning(s)
8>------ Skipped Build: Project: PACKAGE, Configuration: Release x64 ------
8>Project not selected to build for this solution configuration
9>------ Skipped Build: Project: INSTALL, Configuration: Release x64 ------
9>Project not selected to build for this solution configuration
========== Build: 4 succeeded, 0 failed, 477 up-to-date, 5 skipped ==========

pieper

pieper

2014-04-08 16:09

administrator   ~0011558

This isn't fixed on mac - I did a fresh build with today's r23058 and then typed make again at the top superbuild level and all the vtk python code was recompiled. Now it also recompiles ITK, which I don't believe it used to do.

jcfr

jcfr

2014-05-12 19:21

administrator   ~0011735

Last edited: 2014-05-12 19:22

This has been discussed with the CMake folks. A small example [1] allowing to reproduce the problem has been provided and the solution is to use the option "CMAKE_BUILD_WITH_INSTALL_RPATH" to build the python project.

8<----8<----8<----8<----8<----8<----8<----8<----8<----
From Brad King - April 24, 2014:
It's due to the install_name_tool used to update the binary
on installation. The cmake_install.cmake file contains:

execute_process(COMMAND "/usr/bin/install_name_tool"
  -id "libfoo.dylib"
  "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libfoo.dylib")

If you build with -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON then
no install-time update will occur.
8<----8<----8<----8<----8<----8<----8<----8<----8<----

[1] https://gist.github.com/jcfr/11233992

jcfr

jcfr

2014-05-12 19:36

administrator   ~0011736

Fixed in r23150
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=23150

pieper

pieper

2014-06-05 06:10

administrator   ~0012027

Tested on mac: after a successful build, typing make again at the top level triggers a re-installation of python, and a rebuild of vtk and slicer python bindings.

jcfr

jcfr

2014-06-05 06:14

administrator   ~0012028

Could you copy here the output of the installation of python ? That we will be able to see which file is "Out-of-date".

jcfr

jcfr

2014-06-05 06:27

administrator   ~0012029

Looking at the factory, I got the following file that are marked as "Installing":

[...]
-- Installing: /path/to/python-install/share/python2.7/PythonTargets-release.cmake
[...]
-- Installing: /path/to/python-install/lib/python2.7/lib-dynload/binascii.so
-- Installing: /path/to/python-install/lib/python2.7/lib-dynload/_hashlib.so
-- Installing: /path/to/python-install/lib/python2.7/lib-dynload/_ssl.so
-- Up-to-date: /path/to/python-install/lib/python2.7/lib-dynload/_tkinter.so
-- Installing: /path/to/python-install/lib/python2.7/lib-dynload/zlib.so
[...]

jcfr

jcfr

2015-09-01 10:31

administrator   ~0013251

@Max: Did you observe similar problem when using VS2013 on windows ?

msmolens

msmolens

2015-09-04 09:56

developer   ~0013254

This looks okay in Visual Studio 2013. When I modify vtkMRMLNode.cxx and build the ALL_BUILD project I see:

1>------ Build started: Project: ExtensionWizard-Resources, Configuration: Debug x64 ------
2>------ Build started: Project: MRMLCore (Core-Libs\MRMLCore\MRMLCore), Configuration: Debug x64 ------
2> vtkMRMLNode.cxx
2> MRMLCore.vcxproj -> C:\dev\SP10\Slicer-build\bin\Debug\MRMLCore.dll
3>------ Build started: Project: SlicerPythonResources, Configuration: Debug x64 ------
4>------ Build started: Project: CopySlicerPythonScriptFiles, Configuration: Debug x64 ------
5>------ Build started: Project: CompileSlicerPythonFiles, Configuration: Debug x64 ------
6>------ Build started: Project: CopySlicerPythonResourceFiles, Configuration: Debug x64 ------
7>------ Build started: Project: ExtractSkeletonData, Configuration: Debug x64 ------
8>------ Build started: Project: SlicerData, Configuration: Debug x64 ------
9>------ Build started: Project: copytesting, Configuration: Debug x64 ------
10>------ Build started: Project: copytcl, Configuration: Debug x64 ------
11>------ Build started: Project: copytasks, Configuration: Debug x64 ------
12>------ Build started: Project: SlicerConfigureLauncher, Configuration: Debug x64 ------
13>------ Build started: Project: SlicerUpdateLauncherIcon, Configuration: Debug x64 ------
13> Qt: Untested Windows version 6.2 detected!
13> Resource ico updated.
========== Build: 13 succeeded, 0 failed, 500 up-to-date, 0 skipped ==========

On Mac it looks like a top-level 'make' always touches zlib-install/lib/libzlib.a because of the ranlib step during install. That will cause at least a re-link of everything that depends on zlib.

Running 'make' within the Slicer-build directory doesn't result in any unnecessary recompilation.

pieper

pieper

2015-09-04 10:00

administrator   ~0013255

Yes, on Mac I typically run make in the Slicer-build directory unless I know something has changed elsewhere in the superbuild tree.

That said, shouldn't the ranlib step by integrated with the makefile so that it only runs if the files it depends on have a more recent modify time?

Related Changesets

Import 2017-06-07 23:51:09: master 9cbc4533

2014-05-12 23:29:59

jcfr

Details Diff
COMP: Avoid unnecessary recompilation on MacOSX. Fixes 0002583

This has been discussed with the CMake folks. A small example [1]
allowing to reproduce the problem has been provided and the solution is
to use the option "CMAKE_BUILD_WITH_INSTALL_RPATH" to build the
python project.

Note that this fix is not required for zlib and curl project because the
associated library is built statically and is not updated at install
time.

8<----8<----8<----8<----8<----8<----8<----8<----8<----
From Brad King - April 24, 2014:
It's due to the install_name_tool used to update the binary
on installation. The cmake_install.cmake file contains:

execute_process(COMMAND "/usr/bin/install_name_tool"
-id "libfoo.dylib"
"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libfoo.dylib")

If you build with -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON then
no install-time update will occur.
8<----8<----8<----8<----8<----8<----8<----8<----8<----

[1] https://gist.github.com/jcfr/11233992

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23150 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_python.cmake Diff File

Issue History

Date Modified Username Field Change
2012-09-30 15:48 finetjul New Issue
2012-09-30 15:48 finetjul Status new => assigned
2012-09-30 15:48 finetjul Assigned To => jcfr
2012-10-01 06:47 jcfr Target Version => Slicer 4.3.0
2012-11-09 02:51 jcfr Priority normal => high
2013-04-24 14:20 pieper Note Added: 0008485
2013-07-04 12:23 pieper Note Added: 0008841
2013-08-27 10:57 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-03-13 20:53 lassoan Note Added: 0011436
2014-04-03 01:35 jcfr Note Added: 0011523
2014-04-03 01:35 jcfr Status assigned => resolved
2014-04-03 01:35 jcfr Fixed in Version => Slicer 4.4.0
2014-04-03 01:35 jcfr Resolution open => fixed
2014-04-03 07:24 lassoan Note Added: 0011530
2014-04-03 07:24 lassoan Status resolved => assigned
2014-04-08 13:12 lassoan Note Added: 0011556
2014-04-08 13:12 lassoan Status assigned => resolved
2014-04-08 16:09 pieper Note Added: 0011558
2014-04-08 16:09 pieper Status resolved => assigned
2014-04-08 16:09 pieper Fixed in Version Slicer 4.4.0 =>
2014-05-12 19:21 jcfr Note Added: 0011735
2014-05-12 19:21 jcfr Note Edited: 0011735
2014-05-12 19:22 jcfr Note Edited: 0011735
2014-05-12 19:36 jcfr Note Added: 0011736
2014-05-12 19:36 jcfr Status assigned => resolved
2014-05-12 19:36 jcfr Fixed in Version => Slicer 4.4.0
2014-06-05 06:10 pieper Note Added: 0012027
2014-06-05 06:10 pieper Status resolved => feedback
2014-06-05 06:10 pieper Resolution fixed => reopened
2014-06-05 06:14 jcfr Note Added: 0012028
2014-06-05 06:27 jcfr Note Added: 0012029
2014-09-25 12:39 jcfr Target Version Slicer 4.4.0 => Slicer 4.4.1
2015-09-01 10:31 jcfr Assigned To jcfr => msmolens
2015-09-01 10:31 jcfr Target Version Slicer 4.4.1 => Slicer 4.5.0-1
2015-09-01 10:31 jcfr Note Added: 0013251
2015-09-04 09:56 msmolens Note Added: 0013254
2015-09-04 10:00 pieper Note Added: 0013255
2015-11-02 11:27 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.6.0
2016-10-12 15:03 jcfr Target Version Slicer 4.6.0 => Slicer 4.7.0
2017-06-10 08:51 jcfr Changeset attached => Slicer master 9cbc4533
2017-09-26 10:34 jcfr Target Version Slicer 4.7.0 => backlog